# $Revision: 1.13 $, $Date: 2002/07/18 13:34:06 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	MP3
%define		pnam	Info
Summary:	MP3::Info Perl module
Summary(cs):	Modul MP3::Info pro Perl
Summary(da):	Perlmodul MP3::Info
Summary(de):	MP3::Info Perl Modul
Summary(es):	Mdulo de Perl MP3::Info
Summary(fr):	Module Perl MP3::Info
Summary(it):	Modulo di Perl MP3::Info
Summary(ja):	MP3::Info Perl ⥸塼
Summary(ko):	MP3::Info  
Summary(no):	Perlmodul MP3::Info
Summary(pl):	Modu Perla MP3::Info
Summary(pt):	Mdulo de Perl MP3::Info
Summary(pt_BR):	Mdulo Perl MP3::Info
Summary(ru):	  Perl MP3::Info
Summary(sv):	MP3::Info Perlmodul
Summary(uk):	  Perl MP3::Info
Summary(zh_CN):	MP3::Info Perl ģ
Name:		perl-MP3-Info
Version:	1.01
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
Obsoletes:	perl-MPEG-MP3Info
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MP3::Info - fetches and manipulates info from MP3 audio files.

%description -l pl
MP3::Info - wyciga informacje z plikw MP3 i umoliwia operowanie na
nich.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

cp -f eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitelib}/MPEG
%{perl_sitelib}/MP3
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-MP3-Info.spec,v $
Revision 1.13  2002/07/18 13:34:06  ankry
- translations, cleaning
- new %%doc
- added examples
- added %%{perl_sitelib}/MPEG, %%{perl_sitelib}/MP3
- release 2

Revision 1.12  2002/07/10 08:47:56  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.10  2002/03/03 12:18:06  migo
- up to 1.01

Revision 1.9  2002/02/25 10:33:06  depesz
cleanup; revision++

Revision 1.8  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/13 14:18:45  depesz
automatic: Source location unified, Relase Up

Revision 1.6  2002/02/10 15:29:40  depesz
adapterized

Revision 1.5  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.3  2001/04/17 12:12:13  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.2  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.1  2001/03/28 18:41:13  zagrodzki
- initial release
